Subject: Re: [PATCH] git-clone.txt: document that pushing from a shallow clone may work

From: Johannes Sixt <[email-masked]>
Date: Tue, 03 Mar 2009 12:57:22 +0100

Adeodato Simó schrieb:
> @@ -133,8 +133,10 @@ then the cloned repository will become corrupt.
>  --depth <depth>::
>  	Create a 'shallow' clone with a history truncated to the
>  	specified number of revisions.  A shallow repository has a
> -	number of limitations (you cannot clone or fetch from
> -	it, nor push from nor into it), but is adequate if you
> +	number of limitations: you cannot clone or fetch from it,
> +	nor push into it; pushing from it into a regular repository
> +	may work correctly in some cases, but it is not guaranteed to
> +	always work.  However, a shallow repository is adequate if you

Consider a reader who wants to decide whether --depth should or can be
used in a git clone invocation. Is the new wording helpful? If you don't
describe those "some cases" in more detail, then we better keep the
current wording.

-- Hannes